### Signal

# Gtk SpinButton::activate

since: 4.14

#### Declaration

    void
    activate (
      GtkSpinButton* self,
      gpointer user_data
    )

#### Description [src]

Emitted when the spin button is activated.

The keybindings for this signal are all forms of the `Enter` key.

If the `Enter` key results in the value being committed to the spin button, then activation does not occur until `Enter` is pressed again.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Signal can be directly emitted on objects from user code
Available since: 4.14